/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'da_metricid',
          prop: 'metric_id',
          dataType: 'GUID',
        },
        {
          name: 'da_metricname',
          prop: 'metric_name',
          dataType: 'TEXT',
        },
        {
          name: 'metrictype',
          prop: 'metric_type',
          dataType: 'SSCODELIST',
        },
        {
          name: 'extop',
          prop: 'ext_op',
          dataType: 'SSCODELIST',
        },
        {
          name: 'refmetric',
          prop: 'ref_metric',
          dataType: 'SSCODELIST',
        },
        {
          name: 'updatedate',
          prop: 'updatedate',
          dataType: 'DATETIME',
        },
        {
          name: 'createdate',
          prop: 'createdate',
          dataType: 'DATETIME',
        },
        {
          name: 'buildname',
          prop: 'build_name',
          dataType: 'PICKUPTEXT',
        },
        {
          name: 'srfkey',
          prop: 'metric_id',
          dataType: 'GUID',
          isEditable:true
        },
        {
          name: 'srfdataaccaction',
          prop: 'metric_id',
          dataType: 'GUID',
        },
        {
          name: 'buildid',
          prop: 'build_id',
          dataType: 'PICKUP',
        },
        {
          name: 'srfmajortext',
          prop: 'metric_name',
          dataType: 'TEXT',
        },
        {
          name: 'dametric',
          prop: 'metric_id',
        },
      {
        name: 'n_da_metricname_like',
        prop: 'n_da_metricname_like',
        dataType: 'QUERYPARAM'
      },
      {
        name: 'n_metrictype_eq',
        prop: 'n_metrictype_eq',
        dataType: 'QUERYPARAM'
      },

        {
          name:'size',
          prop:'size',
          dataType: 'QUERYPARAM'
        },
        {
          name:'query',
          prop:'query',
          dataType: 'QUERYPARAM'
        },
        {
          name:'filter',
          prop:'filter',
          dataType: 'QUERYPARAM'
        },
        {
          name:'page',
          prop:'page',
          dataType: 'QUERYPARAM'
        },
        {
          name:'sort',
          prop:'sort',
          dataType: 'QUERYPARAM'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata',
          dataType: 'QUERYPARAM'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
        // 预置工作流数据字段
        {
          name: 'srfprocessdefinitionkey',
          prop: 'srfprocessdefinitionkey',
          dataType: 'TEXT'
        },
        {
          name: 'srftaskdefinitionkey',
          prop: 'srftaskdefinitionkey',
          dataType: 'TEXT'
        },
        {
          name: 'srftaskid',
          prop: 'srftaskid',
          dataType: 'TEXT'
        }
      ]
    }
  }

}