/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'engine_id',
        dataType: 'TEXT',
      },
      {
        name: 'srfmajortext',
        prop: 'engine_name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'enginename',
        prop: 'engine_name',
        dataType: 'TEXT',
      },
      {
        name: 'rulegroup',
        prop: 'group',
        dataType: 'SMCODELIST',
      },
      {
        name: 'modelname',
        prop: 'model_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'lastruntime',
        prop: 'last_runtime',
        dataType: 'DATETIME',
      },
      {
        name: 'execstate',
        prop: 'state',
        dataType: 'TEXT',
      },
      {
        name: 'total',
        prop: 'total',
        dataType: 'INT',
      },
      {
        name: 'processed',
        prop: 'processed',
        dataType: 'INT',
      },
      {
        name: 'extparams',
        prop: 'ext_params',
        dataType: 'LONGTEXT',
      },
      {
        name: 'datakeys',
        prop: 'datakeys',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'ruleids',
        prop: 'ruleids',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'result',
        prop: 'result',
        dataType: 'LONGTEXT',
      },
      {
        name: 'systemid',
        prop: 'system_id',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'modelid',
        prop: 'model_id',
        dataType: 'PICKUP',
      },
      {
        name: 'engineid',
        prop: 'engine_id',
        dataType: 'TEXT',
      },
      {
        name: 'ruleengine',
        prop: 'engine_id',
        dataType: 'FONTKEY',
      },
    ]
  }

}