/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'rule_id',
        dataType: 'TEXT',
      },
      {
        name: 'srfmajortext',
        prop: 'rule_name',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'rulecode',
        prop: 'rule_code',
        dataType: 'TEXT',
      },
      {
        name: 'rulename',
        prop: 'rule_name',
        dataType: 'TEXT',
      },
      {
        name: 'modelname',
        prop: 'model_name',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'businesscat',
        prop: 'business_cat',
        dataType: 'TEXT',
      },
      {
        name: 'rulegroup',
        prop: 'group',
        dataType: 'SMCODELIST',
      },
      {
        name: 'cfg',
        prop: 'cfg',
        dataType: 'LONGTEXT',
      },
      {
        name: 'fieldset',
        prop: 'field_set',
        dataType: 'LONGTEXT',
      },
      {
        name: 'debugkey',
        dataType:'FORMITEM',
      },
      {
        name: 'cond',
        prop: 'cond',
        dataType: 'LONGTEXT',
      },
      {
        name: 'memo',
        prop: 'memo',
        dataType: 'LONGTEXT_1000',
      },
      {
        name: 'custag',
        prop: 'cus_tag',
        dataType: 'YESNO',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'modelid',
        prop: 'model_id',
        dataType: 'PICKUP',
      },
      {
        name: 'formitem',
      },
      {
        name: 'systemid',
        prop: 'system_id',
        dataType: 'PICKUPDATA',
      },
      {
        name: 'ruleid',
        prop: 'rule_id',
        dataType: 'TEXT',
      },
      {
        name: 'ruleitem',
        prop: 'rule_id',
        dataType: 'FONTKEY',
      },
    ]
  }

}